---
title: PaymentAddress.country
slug: Web/API/PaymentAddress/country
tags:
  - API
  - Address
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Property
  - Reference
  - country
  - payment
  - paymentAddress
---
<p>{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>country</code></strong> read-only property of the {{domxref('PaymentAddress')}} interface is a string identifying the address's country using the {{interwiki("wikipedia", "ISO 3166-1 alpha-2")}} standard. The string is always in its canonical upper-case form.</p>

<p>Some examples of valid <code>country</code> values: <code>"US"</code>, <code>"GB"</code>, <code>"CN"</code>, or <code>"JP"</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentCountry</em> = <em>PaymentAddress</em>.country;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which contains the ISO3166-1 alpha-2 code identifying the country in which the address is located, or an empty string if no country is available, which frequently can be assumed to mean "same country as the site owner."</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>If the payment handler validates the address and determines that the value of <code>country</code> is invalid, a call to {{domxref("PaymentRequestUpdateEvent.updateWith()")}} will be made with a <code>details</code> object containing a {{domxref("PaymentDetailsUpdate.shippingAddressErrors", "shippingAddressErrors")}} field. That field contains an {{domxref("AddressErrors")}}-compliant object whose {{domxref("AddressErrors.country", "country")}} property is a string indicating the validation error that occurred and, if possible, suggests how to fix it.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentaddress','PaymentAddress.country')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.country")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
 <li>{{domxref("PaymentDetailsUpdate.shippingAddressErrors")}}</li>
 <li>{{domxref("AddressErrors.country")}}</li>
</ul>
</div>
